Apache Fineract SQL注入漏洞(CNVD-2018-09808)

CVE编号

CVE-2018-1291

利用情况

暂无

补丁情况

N/A

披露时间

2018-04-21
漏洞描述
Apache Fineract是美国阿帕奇(Apache)软件基金会的一套开源数字金融服务平台。该平台能够为用户提供数据管理、贷款和储蓄投资组合管理以及实时财务数据等功能。

Apache Fineract中存在SQL注入漏洞。攻击者可借助‘orderBy’查询参数利用该漏洞读取/更新数据。
解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://lists.apache.org/thread.html/1f7fadc93500b3fe14603b132b13c18fff3d0a35e50ebd0246f325c0@%3Cdev.fineract.apache.org%3E
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 apache fineract 0.4.0 -
运行在以下环境
应用 apache fineract 0.5.0 -
运行在以下环境
应用 apache fineract 0.6.0 -
运行在以下环境
应用 apache fineract 1.0.0 -
运行在以下环境
系统 alpine_3.8 webkit2gtk * Up to
(excluding)
2.20.4-r0
运行在以下环境
系统 centos_7 webkit2gtk * Up to
(excluding)
3.28.2-11.el7
运行在以下环境
系统 debian_8 webkit2gtk * Up to
(excluding)
2.48.0-1+deb8u2
运行在以下环境
系统 debian_9 webkit2gtk * Up to
(excluding)
2.56.0-2+deb9u2
运行在以下环境
系统 fedora_27 webkit2gtk * Up to
(excluding)
2.60.3-2.fc27
运行在以下环境
系统 fedora_28 webkit2gtk * Up to
(excluding)
2.62.2-2.fc28
运行在以下环境
系统 fedora_31 webkit2gtk * Up to
(excluding)
2.68.0-1.fc31
运行在以下环境
系统 opensuse_Leap_15.0 webkit2gtk * Up to
(excluding)
2.62.2-lp150.2.3.1
运行在以下环境
系统 opensuse_Leap_42.3 webkit2gtk * Up to
(excluding)
2.62.2-8.1
运行在以下环境
系统 oracle linux_7 webkit2gtk * Up to
(excluding)
0.3.6-1.el7
运行在以下环境
系统 oracle_7 gvfs * Up to
(excluding)
3.26.1-1.el7
运行在以下环境
系统 redhat_7 adwaita-cursor-theme * Up to
(excluding)
0:3.28.0-1.el7
运行在以下环境
系统 sles_12 libsoup * Up to
(excluding)
2.62.2-5.7
运行在以下环境
系统 sles_12 libwebkit2gtk3-lang * Up to
(excluding)
2.20.3-2.23
运行在以下环境
系统 sles_12_SP3 webkit2gtk * Up to
(excluding)
2.62.2-5.7.1
运行在以下环境
系统 suse_12_SP3 gvfs * Up to
(excluding)
1-2.62.2-5.7.1
运行在以下环境
系统 ubuntu_14.04_lts libsoup2.4 * Up to
(excluding)
2.44.2-1ubuntu2.3
运行在以下环境
系统 ubuntu_18.10 webkit2gtk * Up to
(excluding)
2.20.5-1
CVSS3评分
8.1
  • 攻击路径
    网络
  • 攻击复杂度
  • 权限要求
  • 影响范围
    未更改
  • 用户交互
  • 可用性
  • 保密性
  • 完整性
CWE-ID 漏洞类型
CWE-89 SQL命令中使用的特殊元素转义处理不恰当(SQL注入)
阿里云安全产品覆盖情况